%define name	gnu-efi
%define version	3.0c
%define release	%mkrel 3

Summary:	Development Libraries and headers for EFI
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Kernel
License:	GPL
URL:		ftp://ftp.hpl.hp.com/pub/linux-ia64/
Source0:	gnu-efi-%{version}.tar.bz2
Patch0:		gnu-efi-3.0c-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	binutils
ExclusiveArch:	ia64 i586

%description
This package contains development headers and libraries for developing
EFI (Extensible Firmware Interface) applications.

%prep
%setup -q -n gnu-efi-%{version}
%patch0 -p1 -b .makefile

%build
# Doesn't like parallel make
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}
make INSTALLROOT=$RPM_BUILD_ROOT%{_prefix} install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/gnuefi
mv $RPM_BUILD_ROOT%{_libdir}/*.{o,lds} $RPM_BUILD_ROOT%{_libdir}/gnuefi

make -C apps clean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc README.* ChangeLog apps
%dir %{_includedir}/efi
%{_includedir}/efi/*.h
%ifarch i586
%{_includedir}/efi/ia32
%endif
%ifarch ia64
%{_includedir}/efi/ia64
%endif
%{_includedir}/efi/protocol
%dir %{_libdir}/gnuefi
%{_libdir}/*.a
%{_libdir}/gnuefi/*.o
%{_libdir}/gnuefi/*.lds



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0c-3mdv2009.0
+ Revision: 221094
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0c-2mdv2008.1
+ Revision: 150226
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.org> 3.0c-1mdv2008.0
+ Revision: 18907
- whoops, use and rename rediffed version of patch
- 3.0c, rebuild for new era
- rediff patch
- clean spec


* Thu Oct 20 2005 Bruno Cornec <bcornec@mandriva.org> 3.0b-1mdk
- 3.0b (041222)
- Works also in i586

* Mon May 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0a-1mdk
- 3.0a

* Thu Sep 06 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-2mdk
- Clean spec file
- Patch0: disable constants merging (add -fno-merge-constants to CFLAGS)

* Wed Jul 04 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 3.0-1mdk
- 3.0

* Tue Apr 24 2001 Francis Galiegue <fg@mandrakesoft.com> 2.0-1mdk
- 2.0
- new: elilo
- BuildRequires: old-binutils

* Wed Jan 24 2001 Francis Galiegue <fg@mandrakesoft.com> 1.1-1mdk
- Readapted from RH SRPM

* Tue Dec 05 2000 Bill Nottingham <notting@redhat.com>
- update to 1.1

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- add patch for new toolchain, update to 1.0

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9

